Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision d48d1c2d91edaec4d25d0e4324673d5a1d41aa71)
+++ chapter01/changelog.xml	(revision 0d78c2c1798784b696bf75d47f5d301ecbe260e7)
@@ -41,4 +41,46 @@
     -->
     <listitem>
+      <para>2021-11-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20211112. Fixes
+          <ulink url="&lfs-ticket-root;4955">#4955</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to elfutils-0.186. Fixes
+          <ulink url="&lfs-ticket-root;4954">#4954</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">>
+          <para>[bdubbs] - Update to jinja2-3.0.3. Fixes
+          <ulink url="&lfs-ticket-root;4953">#4953</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-5.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4952">#4952</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ncurses-6.3. Fixes
+          <ulink url="&lfs-ticket-root;4951">#4951</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libpipeline-1.5.4. Fixes
+          <ulink url="&lfs-ticket-root;4950">#4950</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.60.1. Fixes
+          <ulink url="&lfs-ticket-root;4949">#4949</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.15.0. Fixes
+          <ulink url="&lfs-ticket-root;4948">#4948</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.15.2. Fixes
+          <ulink url="&lfs-ticket-root;4947">#4947</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2021-11-01</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision d48d1c2d91edaec4d25d0e4324673d5a1d41aa71)
+++ chapter01/whatsnew.xml	(revision 0d78c2c1798784b696bf75d47f5d301ecbe260e7)
@@ -46,5 +46,5 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-   <listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
     </listitem>
@@ -157,13 +157,13 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Libelf-&elfutils-version; (from elfutils)</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libffi-&libffi-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libpipeline-&libpipeline-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libtool-&libtool-version;</para>
@@ -196,7 +196,7 @@
       <para>MPFR-&mpfr-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Ncurses-&ncurses-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Ninja-&ninja-version;</para>
Index: chapter08/ncurses.xml
===================================================================
--- chapter08/ncurses.xml	(revision d48d1c2d91edaec4d25d0e4324673d5a1d41aa71)
+++ chapter08/ncurses.xml	(revision 0d78c2c1798784b696bf75d47f5d301ecbe260e7)
@@ -50,5 +50,6 @@
             --without-normal        \
             --enable-pc-files       \
-            --enable-widec</userinput></screen>
+            --enable-widec          \
+            --with-pkg-config-libdir=/usr/lib/pkgconfig</userinput></screen>
 
     <variablelist>
Index: chapter08/systemd.xml
===================================================================
--- chapter08/systemd.xml	(revision d48d1c2d91edaec4d25d0e4324673d5a1d41aa71)
+++ chapter08/systemd.xml	(revision 0d78c2c1798784b696bf75d47f5d301ecbe260e7)
@@ -63,4 +63,8 @@
 
  <screen><userinput remap="pre">sed -i 's/+ want_libfuzzer.*$/and want_libfuzzer/' meson.build</userinput></screen>
+
+ <para>Fix a problem when using a kernel version 5.14 and later:</para>
+
+ <screen><userinput remap="pre">sed -i '/ARPHRD_CAN/a#define ARPHRD_MCTP        290' src/basic/linux/if_arp.h</userinput></screen>
 
     <para>Prepare systemd for compilation:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision d48d1c2d91edaec4d25d0e4324673d5a1d41aa71)
+++ packages.ent	(revision 0d78c2c1798784b696bf75d47f5d301ecbe260e7)
@@ -59,8 +59,8 @@
 <!ENTITY bash-fin-sbu "1.6 SBU">
 
-<!ENTITY bc-version "5.1.1">
-<!ENTITY bc-size "424 KB">
+<!ENTITY bc-version "5.2.0">
+<!ENTITY bc-size "426 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "1af1e124e5d1734e8770dc85e0af5cd6">
+<!ENTITY bc-md5 "5f7f07d0c8a7ad873f29ce2bbd5f9294">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.7 MB">
@@ -149,8 +149,8 @@
 <!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.5 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.185">
-<!ENTITY elfutils-size "8,973 KB">
+<!ENTITY elfutils-version "0.186">
+<!ENTITY elfutils-size "9,015 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "2b6e94c2eebc1f2194173e31bca9396e">
+<!ENTITY elfutils-md5 "2c095e31e35d6be7b3718477b6d52702">
 <!ENTITY elfutils-home "https://sourceware.org/elfutils/">
 <!ENTITY elfutils-fin-du "115 MB">
@@ -322,8 +322,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20211025">
+<!ENTITY iana-etc-version "20211112">
 <!ENTITY iana-etc-size "580 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "a286ad899ecefbb492d7b597ccb9e1ce">
+<!ENTITY iana-etc-md5 "a755b79e0399fd05509b9dc36c43e75e">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -347,16 +347,16 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.14.0">
-<!ENTITY iproute2-size "834 KB">
+<!ENTITY iproute2-version "5.15.0">
+<!ENTITY iproute2-size "838 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "da53966eb3b08ac264f3e9df02e06bfa">
+<!ENTITY iproute2-md5 "8a598a61c054a3ce538b47c40b010552">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "15 MB">
 <!ENTITY iproute2-fin-sbu "0.2 SBU">
 
-<!ENTITY jinja2-version "3.0.2">
+<!ENTITY jinja2-version "3.0.3">
 <!ENTITY jinja2-size "263 KB">
 <!ENTITY jinja2-url "https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
-<!ENTITY jinja2-md5 "059f89375d7ea60eb7013f341f0b89e7">
+<!ENTITY jinja2-md5 "b76ae2f0647abebc81e7c03f5fb7b00f">
 <!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.0.x/">
 <!ENTITY jinja2-fin-du "3.7 MB">
@@ -411,8 +411,8 @@
 <!ENTITY libffi-fin-sbu "2.0 SBU">
 
-<!ENTITY libpipeline-version "1.5.3">
-<!ENTITY libpipeline-size "972 KB">
+<!ENTITY libpipeline-version "1.5.4">
+<!ENTITY libpipeline-size "1,017 KB">
 <!ENTITY libpipeline-url "&savannah;/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
-<!ENTITY libpipeline-md5 "dad443d0911cf9f0f1bd90a334bc9004">
+<!ENTITY libpipeline-md5 "67c6c1a3d4e3533b4d80cb3683fef970">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
 <!ENTITY libpipeline-fin-du "9.1 MB">
@@ -428,11 +428,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "14">
-<!ENTITY linux-patch-version "15">
+<!ENTITY linux-minor-version "15">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "117,877 KB">
+<!ENTITY linux-size "119,043 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "54c6f1371128e1a80dd700f52223aa64">
+<!ENTITY linux-md5 "4e0f11f01e157a3d8d7a63c72bedb96f">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -492,8 +492,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.60.0">
-<!ENTITY meson-size "1,948 KB">
+<!ENTITY meson-version "0.60.1">
+<!ENTITY meson-size "1,949 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "a810ef49822de717d579413d30629648">
+<!ENTITY meson-md5 "77e41dfa4bc456e03b674537b813328b">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "40 MB">
@@ -516,8 +516,8 @@
 <!ENTITY mpfr-fin-sbu "0.8 SBU">
 
-<!ENTITY ncurses-version "6.2">
-<!ENTITY ncurses-size "3,346 KB">
-<!ENTITY ncurses-url "&gnu;ncurses/ncurses-&ncurses-version;.tar.gz">
-<!ENTITY ncurses-md5 "e812da327b1c2214ac1aed440ea3ae8d">
+<!ENTITY ncurses-version "6.3">
+<!ENTITY ncurses-size "3,500 KB">
+<!ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz">
+<!ENTITY ncurses-md5 "a2736befde5fee7d2b7eb45eb281cdbe">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
 <!ENTITY ncurses-tmp-du "48 MB">
